Remove a flag from an address
A supervisor’s, with why. The flag and its history are kept; the registry is no longer told. Needs write on Animals.
POST
https://{organization}.rescueconsole.com
/
api
/
animals
/
field-services
/
address-flags
/
{id}
/
remove
Remove a flag from an address
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/field-services/address-flags/{id}/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/field-services/address-flags/{id}/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/field-services/address-flags/{id}/remove"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"flag": {
"id": "<string>",
"address": {},
"address_line": "<string>",
"reasons": [
"<string>"
],
"notes": "<string>",
"flagged_at": "2023-11-07T05:31:56Z",
"flagged_by": {
"id": "<string>",
"name": "<string>"
},
"removed_at": "2023-11-07T05:31:56Z",
"removed_reason": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Remove a flag from an address
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/field-services/address-flags/{id}/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/field-services/address-flags/{id}/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/field-services/address-flags/{id}/remove"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"flag": {
"id": "<string>",
"address": {},
"address_line": "<string>",
"reasons": [
"<string>"
],
"notes": "<string>",
"flagged_at": "2023-11-07T05:31:56Z",
"flagged_by": {
"id": "<string>",
"name": "<string>"
},
"removed_at": "2023-11-07T05:31:56Z",
"removed_reason": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
